local t =	Def.ActorFrame {
--~     LoadActor("_ScreenGameplay life frame");
--[[     Def.SongMeterDisplay {
        InitCommand=cmd(y,0);
        StreamWidth=SCREEN_WIDTH;
--~         Stream=LoadActor( THEME:GetPathG("_SongMeterDisplay","stream")) .. {
        Stream=LoadActor("_ScreenGameplay life frame") .. {
            InitCommand=cmd(zoomtowidth,32;blend,'BlendMode_Add';diffuseramp;effectcolor2,color("#f7941d");effectcolor1,color("#ed1c24");effectclock,'beat';effectperiod,4);
        };
        Tip=LoadActor( THEME:GetPathG("_SongMeterDisplay","stream")) ..{
            InitCommand=cmd(zoomtowidth,4;diffuseramp;effectcolor1,1,1,1,0;effectcolor2,1,1,1,1;effectclock,'beat');
        };
    }; --]]
    Def.SongBPMDisplay {
        File=THEME:GetPathF("BPMDisplay","bpm");
        Name="BPMDisplay";
        InitCommand=cmd(y,SCREEN_TOP-16;shadowlength,0);
        SetCommand=function(self) self:SetFromGameState() end;
		CurrentSongChangedMessageCommand=cmd(playcommand,"Set");
		CurrentCourseChangedMessageCommand=cmd(playcommand,"Set");
    };
--[[     LoadFont("BPMDisplay","bpm") .. {
        InitCommand=function(self)
        self:y(-4);
        self:shadowlength(0);
        local StageToShow = GAMESTATE:GetCurrentStage();
        local StageNumber = GAMESTATE:GetStageIndex();
        self:settext( StageNumber );
--~         self:settext( string.sub(StageToShow,7));
--~         self:diffuse( StageToColor(StageToShow));
        end;
    }; --]]
	
};

return t;
